function trail_particles(image, angle)
    return lt.ParticleSystem{
        img = image,
        max_particles = 500,
        source_position_x = 0,
        source_position_y = 0,
        source_position_variance_x = 0,
        source_position_variance_y = 7,

        emission_rate = 200,
        gravity_y = -40,

        duration = -1,
        life = 1,
        life_variance = 0.5,
        speed = 2.2,
        speed_variance = 0.3,
        angle = angle,
        angle_variance = 360,
        start_size = 0.8,
        start_size_variance = 0.4,
        end_size = 0.2,
        end_size_variance = 0.1,
        start_spin = 0,
        start_spin_variance = 0,
        end_spin = 0,
        end_spin_variance = 0,

        start_color_red = 0,
        start_color_green = 0,
        start_color_blue = 0,
        start_color_alpha = 1,
        start_color_variance_red = 0,
        start_color_variance_green = 0,
        start_color_variance_blue = 0,
        start_color_variance_alpha = 0,
        end_color_red = 0,
        end_color_green = 0,
        end_color_blue = 0,
        end_color_alpha = 1,
        end_color_variance_red = 0,
        end_color_variance_green = 0,
        end_color_variance_blue = 0,
        end_color_variance_alpha = 0,
    }:BlendMode("normal")
end

